#include "triangles.h"

std::vector<std::vector<int>> solve(int n) {    
    int a = 0,b = 1,c = 2,d = 3;
    std::vector<Triangle> left = {Triangle(a, b, c), Triangle(a,b,d)};
    std::vector<Triangle> right = {Triangle(c, d, a), Triangle(c, d, b)};
    int penis = compare(left, right);
    if(penis == 0) {
        std::vector<std::vector<int>> ans = {{a,b,c}, {a,b,d}};            
        return ans;
    }
    a = 0, b = 2, c = 1, d = 3;
    left = {Triangle(a, b, c), Triangle(a,b,d)};
    right = {Triangle(c, d, a), Triangle(c, d, b)};
    penis = compare(left, right);
    if(penis == 0) {
        std::vector<std::vector<int>> ans = {{a,b,c}, {a,b,d}};            
        return ans;
    }
    a = 0, b = 3, c = 1, d = 2;
    left = {Triangle(a, b, c), Triangle(a,b,d)};
    right = {Triangle(c, d, a), Triangle(c, d, b)};
    penis = compare(left, right);
    if(penis == 0) {
        std::vector<std::vector<int>> ans = {{a,b,c}, {a,b,d}};            
        return ans;
    }
    a = 0, b = 1, c = 2, d = 3;
    left = {Triangle(b, c, d)};
    right = {Triangle(a, b, c), Triangle(a, b, d), Triangle(a, c, d)};
    penis = compare(left, right);
    if(penis == 0) {
        std::vector<std::vector<int>> ans = {{a,b,c}, {a,b,d}, {a,c,d}};            
        return ans;
    }
    a = 1, b = 0, c = 2, d= 3;
    left = {Triangle(b, c, d)};
    right = {Triangle(a, b, c), Triangle(a, b, d), Triangle(a, c, d)};
    penis = compare(left, right);
    if(penis == 0) {
        std::vector<std::vector<int>> ans = {{a,b,c}, {a,b,d}, {a,c,d}};            
        return ans;
    }
    a = 2, b = 0, c = 1, d = 3;
    left = {Triangle(b, c, d)};
    right = {Triangle(a, b, c), Triangle(a, b, d), Triangle(a, c, d)};
    penis = compare(left, right);
    if(penis == 0) {
        std::vector<std::vector<int>> ans = {{a,b,c}, {a,b,d}, {a,c,d}};            
        return ans;
    }
    a = 3, b = 0, c = 1, d = 2;
    left = {Triangle(b, c, d)};
    right = {Triangle(a, b, c), Triangle(a, b, d), Triangle(a, c, d)};
    penis = compare(left, right);
    if(penis == 0) {
        std::vector<std::vector<int>> ans = {{a,b,c}, {a,b,d}, {a,c,d}};            
        return ans;
    }
}
